Package org.eclipse.cdt.utils.som

# Class SOM.Symbol

java.lang.Object
org.eclipse.cdt.utils.som.SOM.Symbol

Enclosing class:
  SOM

public class SOM.Symbol extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABSOLUTE`
`static final int`
`ARG_EXT`
`int`
`arg_reloc`
`static final int`
`B11_10_MASK`
`static final int`
`B12_MASK`
`static final int`
`B13_MASK`
`static final int`
`B14_MASK`
`static final int`
`B15_MASK`
`static final int`
`B16_MASK`
`static final int`
`B19_17_MASK`
`static final int`
`B23_0_MASK`
`static final int`
`B23_20_MASK`
`static final int`
`B29_24_MASK`
`static final int`
`B30_MASK`
`static final int`
`B31_MASK`
`static final int`
`B7_0_MASK`
`static final int`
`B9_0_MASK`
`int`
`check_level`
`static final int`
`CODE`
`static final int`
`DATA`
`boolean`
`dup_common`
`static final int`
`ENTRY`
`static final int`
`EXTERNAL`
`boolean`
`has_long_return`
`boolean`
`hidden`
`boolean`
`initially_frozen`
`boolean`
`is_common`
`static final int`
`LOCAL`
`boolean`
`memory_resident`
`static final int`
`MILLI_EXT`
`static final int`
`MILLICODE`
`static final int`
`MODULE`
`boolean`
`must_qualify`
`int`
`name_offset`
`boolean`
`no_relocation`
`static final int`
`NULL`
`static final int`
`OCT_DIS`
`static final int`
`PLABEL`
`static final int`
`PRI_PROG`
`int`
`qualifier_name_offset`
`static final int`
`SEC_PROG`
`boolean`
`secondary_def`
`static final int`
`ST_DATA`
`static final int`
`STORAGE`
`static final int`
`STUB`
`static final int`
`SYM_EXT`
`int`
`symbol_info`
`int`
`symbol_scope`
`int`
`symbol_type`
`int`
`symbol_value`
`static final int`
`SYMSZ`
`static final int`
`UNIVERSAL`
`static final int`
`UNSAT`
`int`
`xleast`

## Constructor Summary

Constructors
Constructor
Description
`Symbol(RandomAccessFile file)`
`Symbol(RandomAccessFile file, long offset)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName(byte[] table)`
`boolean`
`isFunction()`
`boolean`
`isVariable()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SYMSZ

public static final int SYMSZ

See Also:
  - Constant Field Values

### B31_MASK

public static final int B31_MASK

See Also:
  - Constant Field Values

### B30_MASK

public static final int B30_MASK

See Also:
  - Constant Field Values

### B29_24_MASK

public static final int B29_24_MASK

See Also:
  - Constant Field Values

### B23_20_MASK

public static final int B23_20_MASK

See Also:
  - Constant Field Values

### B19_17_MASK

public static final int B19_17_MASK

See Also:
  - Constant Field Values

### B16_MASK

public static final int B16_MASK

See Also:
  - Constant Field Values

### B15_MASK

public static final int B15_MASK

See Also:
  - Constant Field Values

### B14_MASK

public static final int B14_MASK

See Also:
  - Constant Field Values

### B13_MASK

public static final int B13_MASK

See Also:
  - Constant Field Values

### B12_MASK

public static final int B12_MASK

See Also:
  - Constant Field Values

### B11_10_MASK

public static final int B11_10_MASK

See Also:
  - Constant Field Values

### B9_0_MASK

public static final int B9_0_MASK

See Also:
  - Constant Field Values

### B23_0_MASK

public static final int B23_0_MASK

See Also:
  - Constant Field Values

### B7_0_MASK

public static final int B7_0_MASK

See Also:
  - Constant Field Values

### NULL

public static final int NULL

See Also:
  - Constant Field Values

### ABSOLUTE

public static final int ABSOLUTE

See Also:
  - Constant Field Values

### DATA

public static final int DATA

See Also:
  - Constant Field Values

### CODE

public static final int CODE

See Also:
  - Constant Field Values

### PRI_PROG

public static final int PRI_PROG

See Also:
  - Constant Field Values

### SEC_PROG

public static final int SEC_PROG

See Also:
  - Constant Field Values

### ENTRY

public static final int ENTRY

See Also:
  - Constant Field Values

### STORAGE

public static final int STORAGE

See Also:
  - Constant Field Values

### STUB

public static final int STUB

See Also:
  - Constant Field Values

### MODULE

public static final int MODULE

See Also:
  - Constant Field Values

### SYM_EXT

public static final int SYM_EXT

See Also:
  - Constant Field Values

### ARG_EXT

public static final int ARG_EXT

See Also:
  - Constant Field Values

### MILLICODE

public static final int MILLICODE

See Also:
  - Constant Field Values

### PLABEL

public static final int PLABEL

See Also:
  - Constant Field Values

### OCT_DIS

public static final int OCT_DIS

See Also:
  - Constant Field Values

### MILLI_EXT

public static final int MILLI_EXT

See Also:
  - Constant Field Values

### ST_DATA

public static final int ST_DATA

See Also:
  - Constant Field Values

### UNSAT

public static final int UNSAT

See Also:
  - Constant Field Values

### EXTERNAL

public static final int EXTERNAL

See Also:
  - Constant Field Values

### LOCAL

public static final int LOCAL

See Also:
  - Constant Field Values

### UNIVERSAL

public static final int UNIVERSAL

See Also:
  - Constant Field Values

### hidden

public boolean hidden

### secondary_def

public boolean secondary_def

### symbol_type

public int symbol_type

### symbol_scope

public int symbol_scope

### check_level

public int check_level

### must_qualify

public boolean must_qualify

### initially_frozen

public boolean initially_frozen

### memory_resident

public boolean memory_resident

### is_common

public boolean is_common

### dup_common

public boolean dup_common

### xleast

public int xleast

### arg_reloc

public int arg_reloc

### name_offset

public int name_offset

### qualifier_name_offset

public int qualifier_name_offset

### has_long_return

public boolean has_long_return

### no_relocation

public boolean no_relocation

### symbol_info

public int symbol_info

### symbol_value

public int symbol_value

## Constructor Details

### Symbol

public Symbol(RandomAccessFile file) throws IOException

Throws:
  `IOException`

### Symbol

public Symbol(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`

## Method Details

### getName

public String getName(byte[] table)

### isFunction

public boolean isFunction()

### isVariable

public boolean isVariable()

### toString

public String toString()

Overrides:
  `toString` in class `Object`